<?php require_once('Connections/cn.php'); ?>
<?php
//header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$cedula=$_REQUEST["a"];
$c=$_REQUEST["id"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.


mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Para tomar los datos del alumno
$sql = "SELECT id_alumno FROM alumnos WHERE cedula='$cedula'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row["id_alumno"];

$query_menciones = "SELECT DISTINCT mencion FROM carreras_alumno WHERE id_carrera='$c' and id_alumno='$id_alumno'";
$rst_menciones = mysql_query($query_menciones, $cn) or die(mysql_error());
// $row_menciones = mysql_fetch_assoc($rst_menciones);
$totalRows_menciones = mysql_num_rows($rst_menciones);  

if($totalRows_menciones >=0)
{
	
	$code=0;
	while($mencion = mysql_fetch_assoc($rst_menciones))
		{
		    if($mencion["mencion"]=='COMUN') $nombre_mencion="COMPONENTE GENERAL";
			if($mencion["mencion"]=='ACE') $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
			if($mencion["mencion"]=='FIN') $nombre_mencion="FINANZAS PÚBLICAS";
			if($mencion["mencion"]=='RT') $nombre_mencion="RENTAS";
			$array_select1[$code] = $nombre_mencion;		
			$array_select2[$code]=  $mencion["mencion"];	
			$code += 1;
		}
}		

// Bucle para cargar las maetrias en el combo (materias)
for ($i=0; $i<count($array_select2);$i++){
	echo "<option value=".$array_select2[$i].">".$array_select1[$i]."</option>";
}

?>